HexDiff(1)

NAME
hexdiff - 'hexadecimal visual diff' for binary files

SYNOPSIS
hexdiff [-V] [-h|-?] file1 file2

DESCRIPTION
hexdiff display an horizontally splitted hexadecimal view of the files compared.

The right column display the ASCII view of the files. A status bar on the bottom display the filename, its size, and the current offset. The current view is marked with '**' on the left side of the view. When moving the cursor into the file, differences will be displayed by 'inverting' colors.

OPTIONS
-V display the program version.
-h | -? display the program help.
-X Help for debugging your ~/.hexdiffrc, or the rc file parser.

KEYBOARD COMMANDS
x q Exit the program.
u j U Move cursor up for 1 line, or 4, inside the 2 files.
d k D Move cursor down for 1 line, or 4, inside the 2 files.
<space> Move cursor for several lines. (Depends on the display size)
0 <home> Move cursor at the beginning.
$ Move cursor to the end of the most little file of both.
g Move cursor to the offset input.
H Switch offset display between decimal and hexadecimal. (initial mode is settable)
i Display fstat for the current file selected.
I Display fstat for both filess.
A Open the (currently) experimental AsciiViewer. Maybe coredump with no request. <tab> switch as usual.
^O Open a new file into the main view. Q to cancel, <Enter> to validate, ? for help.
n Move cursor to next difference between files.
<tab> Switch the current view.
? Display the pop-up help view about the main commands.

CONFIG FILE
$HOME/.hexdiffrc

SEE ALSO

diff (1), cmp (1), /usr/share/doc/hexdiff/examples/hexdiff.rc

BUGS
If you resize your xterm windows hexdiff may become unstable for a few.
The end of file display may be broken if files are from differents sizes.

AUTHORS
Thierry Boudet aka tTh <tboudet@free.fr>

This manual page was written by Tanguy Herrmann <dolanor@evereska.org>, for the Ubuntu GNU/Linux system (but may be used by others).

WEBSITE
<http://tboudet.free.fr/hexdiff/>

THANKS
This software is dedicated to the trollers kamarades from the HardStory team of CULTe, without whom nothing would have been possible. <http://www.culte.org>

COPYRIGHT
Copyright © 2008 Thierry Boudet License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.